Bug 108692 - Graphical boot disabled after updating rhgb and kernel
Graphical boot disabled after updating rhgb and kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-31 03:38 EST by Kam Leo
Modified: 2013-04-02 00:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-03 08:30:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kam Leo 2003-10-31 03:38:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.1) Gecko/20031027

Description of problem:
Installed Severn 0.94 and graphical boot was working. Used up2date and upgraded
rhgb and the kernel. Thereafter system only boots in text mode. 
/etc/sysconfig/init has "BOOTUP=color" and "GRAPHICAL=yes".  

/etc/rc.d/rc.sysinit contains the following code to start rhgb

if fgrep rhgb /proc/cmdline > /dev/null 2>&1 && [ "$BOOTUP" = "color" -a
"$GRAPHICAL" = "yes" -a -x /usr/bin/rhgb ]; then
   /usr/bin/rhgb
   RHGB_STARTED=1
fi


I modified /etc/rc.d/rc.sysinit to echo the values of BOOTUP, GRAPHICAL, and
RHGB_STARTED.  During boot BOOTUP and GRAPHICAL have the proper values; however,
RHGB_STARTED remains set at 0 after the rhgb if-block.  /proc/cmdline does not
contain the string "rhgb".  So the if-block will always fail.  

I have reviewed the release notes regarding graphical boot but there is nothing
about having to add "rhgb" to GRUB.  Why is "fgrep rhgb /proc/cmdline >
/dev/null 2>&1" required?




Version-Release number of selected component (if applicable):
rhgb-0.10.2-1

How reproducible:
Didn't try


Expected Results:  Graphical boot should start if /etc/sysconfig/init contains
the strings "BOOTUP=color" and "GRAPHICAL=yes".

Additional info:
Comment 1 Kam Leo 2003-11-02 22:10:21 EST
Adding "rhgb" as a kernel parameter in /boot/grub/menu.lst fixes the
problem.  The modified section of menu.lst for my system is shown below:

title Fedora Core (2.4.22-1.2115.nptl)
        root (hd0,9)
        kernel /vmlinuz-2.4.22-1.2115.nptl ro root=LABEL=/
hdd=ide-scsi rhgb
        initrd /initrd-2.4.22-1.2115.nptl.img

Somewhere in rpm-land the scripts are not updating the various files
correctly.  Additionally, the release notes do not mention that "rhgb"
needs to be added as a kernel parameter in menu.lst.
Comment 2 Jonathan Blandford 2003-11-02 23:51:02 EST
Anaconda adds that to the grub line.
Comment 3 Kam Leo 2003-11-03 02:31:14 EST
Anaconda is not installed on my system.  Therefore anaconda could not
have removed "rhgb" from the grub line.  If anaconda is the vehicle
for setting this string then something subtracted "rhgb" from
grub.conf (aka menu.lst).  Either the rpm script for rhgb or the
kernel stripped the string out.  In either case its a bug.  Usage of
up2date should not disable rhgb.  I think the script writers for the
kernel and rhgb rpms should get together and figure this out.  
Comment 4 Jonathan Blandford 2003-11-03 08:29:56 EST
anaconda is the installer, and it's supposed to add it to the grub
line.   The release notes do mention that you explicitly need 'rhgb'
in the boot line in order for it to boot graphically.

Note You need to log in before you can comment on or make changes to this bug.